org.apache.ignite.internal.processors.performancestatistics

## Interface PerformanceStatisticsHandler

    public interface PerformanceStatisticsHandler

The interface represents performance statistics operations collection for purposes of troubleshooting and performance analysis.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cacheOperation(UUID nodeId, OperationType type, int cacheId, long startTime, long duration)`
`void` `cacheStart(UUID nodeId, int cacheId, String name)`
`void` `checkpoint(UUID nodeId, long beforeLockDuration, long lockWaitDuration, long listenersExecDuration, long markDuration, long lockHoldDuration, long pagesWriteDuration, long fsyncDuration, long walCpRecordFsyncDuration, long writeCpEntryDuration, long splitAndSortCpPagesDuration, long totalDuration, long cpStartTime, int pagesSize, int dataPagesWritten, int cowPagesWritten)`
`void` `job(UUID nodeId, IgniteUuid sesId, long queuedTime, long startTime, long duration, boolean timedOut)`
`void` `pagesWriteThrottle(UUID nodeId, long endTime, long duration)`
`void` `query(UUID nodeId, GridCacheQueryType type, String text, long id, long startTime, long duration, boolean success)`
`void` `queryReads(UUID nodeId, GridCacheQueryType type, UUID queryNodeId, long id, long logicalReads, long physicalReads)`
`void` `task(UUID nodeId, IgniteUuid sesId, String taskName, long startTime, long duration, int affPartId)`
`void` `transaction(UUID nodeId, GridIntList cacheIds, long startTime, long duration, boolean commited)`

### Method Detail

#### cacheStart

    void cacheStart(UUID nodeId,
                    int cacheId,
                    String name)

Parameters:
  `nodeId` - Node id.
  `cacheId` - Cache id.
  `name` - Cache name.

#### cacheOperation

    void cacheOperation(UUID nodeId,
                        OperationType type,
                        int cacheId,
                        long startTime,
                        long duration)

Parameters:
  `nodeId` - Node id.
  `type` - Operation type.
  `cacheId` - Cache id.
  `startTime` - Start time in milliseconds.
  `duration` - Duration in nanoseconds.

#### transaction

    void transaction(UUID nodeId,
                     GridIntList cacheIds,
                     long startTime,
                     long duration,
                     boolean commited)

Parameters:
  `nodeId` - Node id.
  `cacheIds` - Cache IDs.
  `startTime` - Start time in milliseconds.
  `duration` - Duration in nanoseconds.
  `commited` - `True` if commited.

#### query

    void query(UUID nodeId,
               GridCacheQueryType type,
               String text,
               long id,
               long startTime,
               long duration,
               boolean success)

Parameters:
  `nodeId` - Node id.
  `type` - Cache query type.
  `text` - Query text in case of SQL query. Cache name in case of SCAN query.
  `id` - Query id.
  `startTime` - Start time in milliseconds.
  `duration` - Duration in nanoseconds.
  `success` - Success flag.

#### queryReads

    void queryReads(UUID nodeId,
                    GridCacheQueryType type,
                    UUID queryNodeId,
                    long id,
                    long logicalReads,
                    long physicalReads)

Parameters:
  `nodeId` - Node id.
  `type` - Cache query type.
  `queryNodeId` - Originating node id.
  `id` - Query id.
  `logicalReads` - Number of logical reads.
  `physicalReads` - Number of physical reads.

#### task

    void task(UUID nodeId,
              IgniteUuid sesId,
              String taskName,
              long startTime,
              long duration,
              int affPartId)

Parameters:
  `nodeId` - Node id.
  `sesId` - Session id.
  `taskName` - Task name.
  `startTime` - Start time in milliseconds.
  `duration` - Duration.
  `affPartId` - Affinity partition id.

#### job

    void job(UUID nodeId,
             IgniteUuid sesId,
             long queuedTime,
             long startTime,
             long duration,
             boolean timedOut)

Parameters:
  `nodeId` - Node id.
  `sesId` - Session id.
  `queuedTime` - Time job spent on waiting queue.
  `startTime` - Start time in milliseconds.
  `duration` - Job execution time.
  `timedOut` - `True` if job is timed out.

#### checkpoint

    void checkpoint(UUID nodeId,
                    long beforeLockDuration,
                    long lockWaitDuration,
                    long listenersExecDuration,
                    long markDuration,
                    long lockHoldDuration,
                    long pagesWriteDuration,
                    long fsyncDuration,
                    long walCpRecordFsyncDuration,
                    long writeCpEntryDuration,
                    long splitAndSortCpPagesDuration,
                    long totalDuration,
                    long cpStartTime,
                    int pagesSize,
                    int dataPagesWritten,
                    int cowPagesWritten)

Parameters:
  `nodeId` - Node id.
  `beforeLockDuration` - Before lock duration.
  `lockWaitDuration` - Lock wait duration.
  `listenersExecDuration` - Listeners execute duration.
  `markDuration` - Mark duration.
  `lockHoldDuration` - Lock hold duration.
  `pagesWriteDuration` - Pages write duration.
  `fsyncDuration` - Fsync duration.
  `walCpRecordFsyncDuration` - Wal cp record fsync duration.
  `writeCpEntryDuration` - Write checkpoint entry duration.
  `splitAndSortCpPagesDuration` - Split and sort cp pages duration.
  `totalDuration` - Total duration in milliseconds.
  `cpStartTime` - Checkpoint start time in milliseconds.
  `pagesSize` - Pages size.
  `dataPagesWritten` - Data pages written.
  `cowPagesWritten` - Cow pages written.

#### pagesWriteThrottle

    void pagesWriteThrottle(UUID nodeId,
                            long endTime,
                            long duration)

Parameters:
  `nodeId` - Node id.
  `endTime` - End time in milliseconds.
  `duration` - Duration in milliseconds.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022